Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

Solved Go to solution
Highlighted

An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

Expert Contributor
An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

56411-ambari-register-version.jpg

56412-error-ambari-register-version.jpg

1 ACCEPTED SOLUTION

Accepted Solutions

Re: An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

Expert Contributor

Issue resolved , performed below steps are worked me, after that i able register the target version on Ambari.

As we need to update the stack version , after ambari-server up-grade 1.6 to 2.+ .

https://ambari.apache.org/1.2.3/installing-hadoop-using-ambari/content/ambari-chap9-3.html

[root@server ~]# ambari-server upgradestack HDP-2.4
Using python  /usr/bin/python
Upgrading stack of ambari-server
Ambari Server 'upgradestack' completed successfully.

[root@server ~]# ambari-server start
Using python  /usr/bin/python
Starting ambari-server
Ambari Server running with administrator privileges.
Organizing resource files at /var/lib/ambari-server/resources...
Server PID at: /var/run/ambari-server/ambari-server.pid
Server out at: /var/log/ambari-server/ambari-server.out
Server log at: /var/log/ambari-server/ambari-server.log
Waiting for server start....................
Ambari Server 'start' completed successfully.
[root@server ~]# 

2 REPLIES 2

Re: An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

Expert Contributor

Issue resolved , performed below steps are worked me, after that i able register the target version on Ambari.

As we need to update the stack version , after ambari-server up-grade 1.6 to 2.+ .

https://ambari.apache.org/1.2.3/installing-hadoop-using-ambari/content/ambari-chap9-3.html

[root@server ~]# ambari-server upgradestack HDP-2.4
Using python  /usr/bin/python
Upgrading stack of ambari-server
Ambari Server 'upgradestack' completed successfully.

[root@server ~]# ambari-server start
Using python  /usr/bin/python
Starting ambari-server
Ambari Server running with administrator privileges.
Organizing resource files at /var/lib/ambari-server/resources...
Server PID at: /var/run/ambari-server/ambari-server.pid
Server out at: /var/log/ambari-server/ambari-server.out
Server log at: /var/log/ambari-server/ambari-server.log
Waiting for server start....................
Ambari Server 'start' completed successfully.
[root@server ~]# 

Re: An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

Expert Contributor

After Fix Repository

56418-after-fix-register.jpg

Don't have an account?
Coming from Hortonworks? Activate your account here